| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DataWriterQos Class Reference

Class DataWriterQos: extends standard DDS DataWriterQos class to include specific default constructor for the recommended DataWriterQos profile. More...

`#include <DataWriterQos.hpp>`

Inheritance diagram for DataWriterQos:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | DataWriterQos ()
| Constructor.
Public Member Functions inherited from DataWriterQos
FASTDDS_EXPORTED_API | DataWriterQos ()
| Constructor.
FASTDDS_EXPORTED_API | ~DataWriterQos ()=default
| Destructor.
FASTDDS_EXPORTED_API bool | operator== (const DataWriterQos &b) const
FASTDDS_EXPORTED_API WriterQos | get_writerqos (const PublisherQos &pqos, const TopicQos &tqos) const
FASTDDS_EXPORTED_API DurabilityQosPolicy & | durability ()
| Getter for DurabilityQosPolicy.
FASTDDS_EXPORTED_API const DurabilityQosPolicy & | durability () const
| Getter for DurabilityQosPolicy.
FASTDDS_EXPORTED_API void | durability (const DurabilityQosPolicy &durability)
| Setter for DurabilityQosPolicy.
FASTDDS_EXPORTED_API DurabilityServiceQosPolicy & | durability_service ()
| Getter for DurabilityServiceQosPolicy.
FASTDDS_EXPORTED_API const DurabilityServiceQosPolicy & | durability_service () const
| Getter for DurabilityServiceQosPolicy.
FASTDDS_EXPORTED_API void | durability_service (const DurabilityServiceQosPolicy &durability_service)
| Setter for DurabilityServiceQosPolicy.
FASTDDS_EXPORTED_API DeadlineQosPolicy & | deadline ()
| Getter for DeadlineQosPolicy.
FASTDDS_EXPORTED_API const DeadlineQosPolicy & | deadline () const
| Getter for DeadlineQosPolicy.
FASTDDS_EXPORTED_API void | deadline (const DeadlineQosPolicy &deadline)
| Setter for DeadlineQosPolicy.
FASTDDS_EXPORTED_API LatencyBudgetQosPolicy & | latency_budget ()
| Getter for LatencyBudgetQosPolicy.
FASTDDS_EXPORTED_API const LatencyBudgetQosPolicy & | latency_budget () const
| Getter for LatencyBudgetQosPolicy.
FASTDDS_EXPORTED_API void | latency_budget (const LatencyBudgetQosPolicy &latency_budget)
| Setter for LatencyBudgetQosPolicy.
FASTDDS_EXPORTED_API LivelinessQosPolicy & | liveliness ()
| Getter for LivelinessQosPolicy.
FASTDDS_EXPORTED_API const LivelinessQosPolicy & | liveliness () const
| Getter for LivelinessQosPolicy.
FASTDDS_EXPORTED_API void | liveliness (const LivelinessQosPolicy &liveliness)
| Setter for LivelinessQosPolicy.
FASTDDS_EXPORTED_API ReliabilityQosPolicy & | reliability ()
| Getter for ReliabilityQosPolicy.
FASTDDS_EXPORTED_API const ReliabilityQosPolicy & | reliability () const
| Getter for ReliabilityQosPolicy.
FASTDDS_EXPORTED_API void | reliability (const ReliabilityQosPolicy &reliability)
| Setter for ReliabilityQosPolicy.
FASTDDS_EXPORTED_API DestinationOrderQosPolicy & | destination_order ()
| Getter for DestinationOrderQosPolicy.
FASTDDS_EXPORTED_API const DestinationOrderQosPolicy & | destination_order () const
| Getter for DestinationOrderQosPolicy.
FASTDDS_EXPORTED_API void | destination_order (const DestinationOrderQosPolicy &destination_order)
| Setter for DestinationOrderQosPolicy.
FASTDDS_EXPORTED_API HistoryQosPolicy & | history ()
| Getter for HistoryQosPolicy.
FASTDDS_EXPORTED_API const HistoryQosPolicy & | history () const
| Getter for HistoryQosPolicy.
FASTDDS_EXPORTED_API void | history (const HistoryQosPolicy &history)
| Setter for HistoryQosPolicy.
FASTDDS_EXPORTED_API ResourceLimitsQosPolicy & | resource_limits ()
| Getter for ResourceLimitsQosPolicy.
FASTDDS_EXPORTED_API const ResourceLimitsQosPolicy & | resource_limits () const
| Getter for ResourceLimitsQosPolicy.
FASTDDS_EXPORTED_API void | resource_limits (const ResourceLimitsQosPolicy &resource_limits)
| Setter for ResourceLimitsQosPolicy.
FASTDDS_EXPORTED_API TransportPriorityQosPolicy & | transport_priority ()
| Getter for TransportPriorityQosPolicy.
FASTDDS_EXPORTED_API const TransportPriorityQosPolicy & | transport_priority () const
| Getter for TransportPriorityQosPolicy.
FASTDDS_EXPORTED_API void | transport_priority (const TransportPriorityQosPolicy &transport_priority)
| Setter for TransportPriorityQosPolicy.
FASTDDS_EXPORTED_API LifespanQosPolicy & | lifespan ()
| Getter for LifespanQosPolicy.
FASTDDS_EXPORTED_API const LifespanQosPolicy & | lifespan () const
| Getter for LifespanQosPolicy.
FASTDDS_EXPORTED_API void | lifespan (const LifespanQosPolicy &lifespan)
| Setter for LifespanQosPolicy.
FASTDDS_EXPORTED_API UserDataQosPolicy & | user_data ()
| Getter for UserDataQosPolicy.
FASTDDS_EXPORTED_API const UserDataQosPolicy & | user_data () const
| Getter for UserDataQosPolicy.
FASTDDS_EXPORTED_API void | user_data (const UserDataQosPolicy &user_data)
| Setter for UserDataQosPolicy.
FASTDDS_EXPORTED_API OwnershipQosPolicy & | ownership ()
| Getter for OwnershipQosPolicy.
FASTDDS_EXPORTED_API const OwnershipQosPolicy & | ownership () const
| Getter for OwnershipQosPolicy.
FASTDDS_EXPORTED_API void | ownership (const OwnershipQosPolicy &ownership)
| Setter for OwnershipQosPolicy.
FASTDDS_EXPORTED_API OwnershipStrengthQosPolicy & | ownership_strength ()
| Getter for OwnershipStrengthQosPolicy.
FASTDDS_EXPORTED_API const OwnershipStrengthQosPolicy & | ownership_strength () const
| Getter for OwnershipStrengthQosPolicy.
FASTDDS_EXPORTED_API void | ownership_strength (const OwnershipStrengthQosPolicy &ownership_strength)
| Setter for OwnershipStrengthQosPolicy.
FASTDDS_EXPORTED_API WriterDataLifecycleQosPolicy & | writer_data_lifecycle ()
| Getter for WriterDataLifecycleQosPolicy.
FASTDDS_EXPORTED_API const WriterDataLifecycleQosPolicy & | writer_data_lifecycle () const
| Getter for WriterDataLifecycleQosPolicy.
FASTDDS_EXPORTED_API void | writer_data_lifecycle (const WriterDataLifecycleQosPolicy &writer_data_lifecycle)
| Setter for WriterDataLifecycleQosPolicy.
FASTDDS_EXPORTED_API PublishModeQosPolicy & | publish_mode ()
| Getter for PublishModeQosPolicy.
FASTDDS_EXPORTED_API const PublishModeQosPolicy & | publish_mode () const
| Getter for PublishModeQosPolicy.
FASTDDS_EXPORTED_API void | publish_mode (const PublishModeQosPolicy &publish_mode)
| Setter for PublishModeQosPolicy.
FASTDDS_EXPORTED_API DataRepresentationQosPolicy & | representation ()
| Getter for DataRepresentationQosPolicy.
FASTDDS_EXPORTED_API const DataRepresentationQosPolicy & | representation () const
| Getter for DataRepresentationQosPolicy.
FASTDDS_EXPORTED_API void | representation (const DataRepresentationQosPolicy &representation)
| Setter for DataRepresentationQosPolicy.
FASTDDS_EXPORTED_API PropertyPolicyQos & | properties ()
| Getter for PropertyPolicyQos.
FASTDDS_EXPORTED_API const PropertyPolicyQos & | properties () const
| Getter for PropertyPolicyQos.
FASTDDS_EXPORTED_API void | properties (const PropertyPolicyQos &properties)
| Setter for PropertyPolicyQos.
FASTDDS_EXPORTED_API RTPSReliableWriterQos & | reliable_writer_qos ()
| Getter for RTPSReliableWriterQos.
FASTDDS_EXPORTED_API const RTPSReliableWriterQos & | reliable_writer_qos () const
| Getter for RTPSReliableWriterQos.
FASTDDS_EXPORTED_API void | reliable_writer_qos (const RTPSReliableWriterQos &reliable_writer_qos)
| Setter for RTPSReliableWriterQos.
FASTDDS_EXPORTED_API RTPSEndpointQos & | endpoint ()
| Getter for RTPSEndpointQos.
FASTDDS_EXPORTED_API const RTPSEndpointQos & | endpoint () const
| Getter for RTPSEndpointQos.
FASTDDS_EXPORTED_API void | endpoint (const RTPSEndpointQos &endpoint)
| Setter for RTPSEndpointQos.
FASTDDS_EXPORTED_API WriterResourceLimitsQos & | writer_resource_limits ()
| Getter for WriterResourceLimitsQos.
FASTDDS_EXPORTED_API const WriterResourceLimitsQos & | writer_resource_limits () const
| Getter for WriterResourceLimitsQos.
FASTDDS_EXPORTED_API void | writer_resource_limits (const WriterResourceLimitsQos &writer_resource_limits)
| Setter for WriterResourceLimitsQos.
FASTDDS_EXPORTED_API DataSharingQosPolicy & | data_sharing ()
| Getter for DataSharingQosPolicy.
FASTDDS_EXPORTED_API const DataSharingQosPolicy & | data_sharing () const
| Getter for DataSharingQosPolicy.
FASTDDS_EXPORTED_API void | data_sharing (const DataSharingQosPolicy &data_sharing)
| Setter for DataSharingQosPolicy.

## Detailed Description

Class DataWriterQos: extends standard DDS DataWriterQos class to include specific default constructor for the recommended DataWriterQos profile.

## Constructor & Destructor Documentation

## ◆ DataWriterQos()

FASTDDS_EXPORTED_API DataWriterQos | ( |  | ) |

Constructor.

The documentation for this class was generated from the following file:

- include/fastdds/statistics/dds/publisher/qos/DataWriterQos.hpp